Bug 678842 - Yum Extender doesn't let me filter queries based on their installed/uninstalled/available status
Summary: Yum Extender doesn't let me filter queries based on their installed/uninstall...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 10:10 UTC by Frédéric Buclin
Modified: 2014-01-21 23:17 UTC (History)
5 users (show)

Fixed In Version: yumex-3.0.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-22 08:23:25 UTC


Attachments (Terms of Use)
screenshot of rpmdrake (222.14 KB, image/png)
2011-02-20 10:10 UTC, Frédéric Buclin
no flags Details
screenshot of Yum Extender (33.32 KB, image/png)
2011-02-20 12:50 UTC, Frédéric Buclin
no flags Details

Description Frédéric Buclin 2011-02-20 10:10:33 UTC
Created attachment 479744 [details]
screenshot of rpmdrake

Yum Extender lacks a major feature which is e.g. available in rpmdrake from Mandriva, see the screenshot: you cannot restrict a query to packages already installed or not yet installed. You can only query amongst all available packages, which in several cases is not what I want.

For instance, if you want to know which kernel packages are installed, rpmdrake let you restrict the query to installed packages, then you type "kernel" in the search field, and you only get installed kernels. With Yum Extender, you have to go through the whole list, which is slower and much more painful.

Comment 1 Tim Lauridsen 2011-02-20 11:49:00 UTC
transfer to yumex :)

Comment 2 Tim Lauridsen 2011-02-20 12:23:27 UTC
Sound like a sane request :)

Would it be ok, to add some options to the search option to limit the search results to 'installed','available' 

http://www.yum-extender.org/gfx/yumex/yumex-search-options.png

Comment 3 Frédéric Buclin 2011-02-20 12:50:05 UTC
Created attachment 479758 [details]
screenshot of Yum Extender

I would rather see the radio buttons being permanently visible, so that you can easily select one of the first 4 radio buttons. This would also remove some confusion, because when you select one of the radio buttons, it's getting ignored once you search for a specific package.

So basically, the UI is already here. You would just have to reuse it. :)

Comment 4 Tim Lauridsen 2011-08-26 11:44:42 UTC
This feature has been added

Pre-release rpm's are available here:

http://repos.fedorapeople.org/repos/timlau/yumex/

Comment 5 Frédéric Buclin 2011-10-10 16:08:40 UTC
When will the pre-release be pushed into updates-testing?

Comment 6 Fedora Update System 2011-10-11 06:34:32 UTC
yumex-3.0.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.fc16

Comment 7 Fedora Update System 2011-10-11 06:35:03 UTC
yumex-3.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.fc15

Comment 8 Fedora Update System 2011-10-11 06:35:25 UTC
yumex-3.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.el6

Comment 9 Fedora Update System 2011-10-11 19:25:16 UTC
Package yumex-3.0.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing yumex-3.0.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4682
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-10-22 08:23:25 UTC
yumex-3.0.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-22 16:50:01 UTC
yumex-3.0.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.4-2.el6

Comment 12 Fedora Update System 2011-10-25 03:34:58 UTC
yumex-3.0.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-25 02:09:48 UTC
yumex-3.0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.